API Docs / Operations / Custom Fields / List CustomFieldDefinitions

List CustomFieldDefinitions

GET /tenants/{tenant}/custom-fields

Lists all CustomFieldDefinitions for the given tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

SortOrder Label

Field to sort by.

SortOrder Label

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

entityType query string

Filter by entity type

Filter by entity type

clientType query string

Filter by applicable client type. Returns fields that explicitly include this type, or have no types specified (applicable to all).

Filter by applicable client type. Returns fields that explicitly include this type, or have no types specified (applicable to all).

isArchived query boolean

Filter by archived status (true = archived only, false = active only)

Filter by archived status (true = archived only, false = active only)

search query string

Search across field code and label (minimum 3 characters)

Search across field code and label (minimum 3 characters)

Responses

401 Unauthorized – Invalid or missing API key